import { GenericClient } from "./genericClient.js";
export class PersonsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new GenericClient({
            basePath: basePath,
            endpointPath: "/v2/persons",
            auth: auth,
            queryOptions: queryOptions,
        });
        this.idLookupClient = new GenericClient({
            basePath: basePath,
            endpointPath: "/v2/persons/personID",
            auth: auth,
            queryOptions: queryOptions,
        });
    }
    async create(person) {
        return this.client.create(person);
    }
    async remove(id) {
        return this.client.remove(id);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, person) {
        return this.client.update(id, person);
    }
    async lookupPersonId(uid) {
        return this.idLookupClient.get(uid, {});
    }
}
