import { GroupMember } from './groupMember.js';
import { MaritalStatus } from './maritalStatus.js';
import { Address } from './address.js';
import { Consent } from './consent.js';
import { Org } from './org.js';
import { NationalId } from './nationalId.js';
import { PersonRelation } from './personRelation.js';
import { RoleAssignment } from './roleAssignment.js';
import { Gender } from './gender.js';
import { Preferences } from './preferences.js';
import { Affiliation } from './affiliation.js';
export interface Person {
    address?: Address;
    affiliations?: Array<Affiliation>;
    birthDate: string;
    cellPhone?: string;
    cellPhoneVerified?: boolean;
    church?: Org;
    churchUid?: string;
    consents?: Array<Consent>;
    deceasedDate?: string | null;
    displayName: string;
    email?: string;
    emailVerified?: boolean;
    firstName: string;
    gender: Gender;
    homePhone?: string;
    isActive?: boolean;
    lastChangedDate: string;
    lastName: string;
    maritalStatus: MaritalStatus;
    middleName?: string;
    nationalIds?: Array<NationalId>;
    personID: number;
    preferences?: Preferences;
    profilePicture?: string;
    relations?: Array<PersonRelation>;
    roleAssignments?: Array<RoleAssignment>;
    staticGroupMemberships?: Array<GroupMember>;
    uid: string;
}
